Your message dated Thu, 04 Oct 2018 21:22:37 +0000
with message-id <[email protected]>
and subject line Bug#909662: fixed in llvm-toolchain-7 1:7-4
has caused the Debian Bug report #909662,
regarding Please consider backporting upstream commit rC343105 for scan-build
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
909662: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=909662
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: clang-tools-7
Version: 1:7-2
Severity: wishlist
Tags: upstream patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Upstream commit https://reviews.llvm.org/rC343105 addressed a defect
of scan-build script, which was ignoring the exit status of the actual
build when the script was told to exit if the static analysis detected
bugs, and no bugs were detected.

Since i'm using these LLVM stable packages from debian testing in CI,
this issue is somewhat cripplig (e.g. when the build itself is also
using clang-tidy, so it's errors will be silently discarded..)

I have requested for this commit to be backported into the 7.0.1 proper,
but that will take a while.

Please consider backporting/applying this patch for the LLVM 7 package.
Maybe for LLVM 6 too.

Roman.

- -- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'unstable-debug'), (1, 
'experimental-debug'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 4.18.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US 
(charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages clang-tools-7 depends on:
ii  clang-7      1:7-2
ii  libc6        2.27-6
ii  libclang1-7  1:7-2
ii  libgcc1      1:8.2.0-7
ii  libllvm7     1:7-2
ii  libstdc++6   8.2.0-7

clang-tools-7 recommends no packages.

clang-tools-7 suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEjkF6151RK40WXe2HCDw+u0oWieAFAluriM8ACgkQCDw+u0oW
ieCP/w//e7UuhUlhdtKIlutqBrW/zzehSnL8gygsImnKHRO/JLj0Yz/rSfz1InDJ
X/ZjuHaN+/tuO/e8GjgGSUoxzfhpK2ab+cLmU8F1OSCC1CASxpgndTMXKfohrKu5
OxuLv8hpRwFp1w6YGpYacNGAkXihzPMJ0BJ7UxNvkwDo08BUO+Z9goch22xjMrTu
pros8ywRJNMQpZE/01qPxkxksgSC0WOIMJwXuv0DiEtmz5/OLMJRZbxsuXzXHSmU
SGxvhytEa31RHxGt584X+jCmztnVXf4W0Ql3oaINqGdQJc7pdcb3jpm4o778zWXR
ueYZWmKucyXTGenr/t4mWER/6mnoXr6AILpDZ9MBoQfDWAWjYqzgqtXHjfV9NJUh
HxR/zMkdHrlyyzOxOmEqnyl+YzB2p6tA13ohkGSSQUiiMpHm/bPzmhdIgPFYbUvR
GBeYTWeMfi85jMg9PzAGNjp9lX9+xSIV7dyaflXgA/O6zG2CPyMmBdtK0KOVFz0C
hUQRizAM3awPrquPAz5wn029YbI4ivecw0sXpicBNMPUpmElPDkUXFsoj3x1kVMT
va5PHg/SWIoTyK9ZJrahGCtwZDOwunSlkY2mN1PgdheNXGQjovgVPhzpnCvQY2Av
UwPF3Y3n5ylauBriRIEmYbCPBxbn0XQWsE4NGdIzbVjOJGi/8uc=
=7ijn
-----END PGP SIGNATURE-----
>From 564f50e7536dab9dec5ed73f811b0b2d9d3aed14 Mon Sep 17 00:00:00 2001
From: Roman Lebedev <[email protected]>
Date: Wed, 26 Sep 2018 13:08:44 +0000
Subject: [PATCH] [analyzer] scan-build: if --status-bugs is passed, don't
 forget about the exit status of the actual build

Summary:
This has been bothering me for a while, but only now i have actually looked 
into this.
I'm using one CI job for static analysis - clang static analyzers as compilers 
+ clang-tidy via cmake.
And i'd like for the build to fail if at least one of those finds issues.
If clang-tidy finds issues, it will fail the build since the warnings-as-errors 
is set.
If static analyzer finds anything, since --status-bugs is set, it will fail the 
build.
But if clang-tidy find anything, but static analyzer does not, the build 
succeeds :/

Reviewers: sylvestre.ledru, alexfh, jroelofs, ygribov, george.karpenkov, 
krememek

Reviewed By: jroelofs

Subscribers: xazax.hun, szepet, a.sidorin, mikhail.ramalho, Szelethus, 
cfe-commits

Differential Revision: https://reviews.llvm.org/D52530

git-svn-id: https://llvm.org/svn/llvm-project/cfe/trunk@343105 
91177308-0d34-0410-b5e6-96231b3b80d8

diff --git a/tools/scan-build/bin/scan-build b/tools/scan-build/bin/scan-build
index 5500421c8c..25aeb2bf64 100755
--- a/tools/scan-build/bin/scan-build
+++ b/tools/scan-build/bin/scan-build
@@ -1202,17 +1202,17 @@ OPTIONS:
 
    By default the output of scan-build is a set of HTML files. This option
    outputs the results as a set of HTML and .plist files.
 
  --status-bugs
 
    By default, the exit status of scan-build is the same as the executed build
    command. Specifying this option causes the exit status of scan-build to be 1
-   if it found potential bugs and 0 otherwise.
+   if it found potential bugs and the exit status of the build itself 
otherwise.
 
  --exclude <path>
 
    Do not run static analyzer against files found in this
    directory (You can specify this option multiple times).
    Could be useful when project contains 3rd party libraries.
 
  --use-cc [compiler path]
@@ -1903,14 +1903,14 @@ if (defined $Options{OutputFormat}) {
       my $ScanView = Cwd::realpath("$RealBin/scan-view");
       if (! -x $ScanView) { $ScanView = "scan-view"; }
       if (! -x $ScanView) { $ScanView = 
Cwd::realpath("$RealBin/../../scan-view/bin/scan-view"); }
       exec $ScanView, "$Options{OutputDir}";
     }
 
     if ($Options{ExitStatusFoundBugs}) {
       exit 1 if ($NumBugs > 0);
-      exit 0;
+      exit $ExitStatus;
     }
   }
 }
 
 exit $ExitStatus;
-- 
2.19.0


--- End Message ---
--- Begin Message ---
Source: llvm-toolchain-7
Source-Version: 1:7-4

We believe that the bug you reported is fixed in the latest version of
llvm-toolchain-7, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvestre Ledru <[email protected]> (supplier of updated llvm-toolchain-7 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 26 Sep 2018 14:32:41 +0100
Source: llvm-toolchain-7
Binary: clang-7 clang-tools-7 clang-format-7 clang-tidy-7 clang-7-doc 
libclang1-7 libclang-7-dev libclang-common-7-dev libfuzzer-7-dev python-clang-7 
clang-7-examples libllvm7 llvm-7 llvm-7-runtime llvm-7-dev llvm-7-tools 
libllvm-7-ocaml-dev llvm-7-doc llvm-7-examples lld-7 liblld-7 liblld-7-dev 
lldb-7 liblldb-7 python-lldb-7 liblldb-7-dev libomp-7-dev libomp5-7 
libomp-7-doc libc++1-7 libc++-7-dev libc++abi1-7 libc++abi-7-dev
Architecture: source
Version: 1:7-4
Distribution: unstable
Urgency: medium
Maintainer: LLVM Packaging Team <[email protected]>
Changed-By: Sylvestre Ledru <[email protected]>
Description:
 clang-7    - C, C++ and Objective-C compiler
 clang-7-doc - C, C++ and Objective-C compiler - Documentation
 clang-7-examples - Clang examples
 clang-format-7 - Tool to format C/C++/Obj-C code
 clang-tidy-7 - clang-based C++ linter tool
 clang-tools-7 - clang-based tools for C/C++ developments
 libc++-7-dev - LLVM C++ Standard library (development files)
 libc++1-7  - LLVM C++ Standard library
 libc++abi-7-dev - LLVM low level support for a standard C++ library 
(development fi
 libc++abi1-7 - LLVM low level support for a standard C++ library
 libclang-7-dev - clang library - Development package
 libclang-common-7-dev - clang library - Common development package
 libclang1-7 - C interface to the clang library
 libfuzzer-7-dev - Library for coverage-guided fuzz testing
 liblld-7   - LLVM-based linker, library
 liblld-7-dev - LLVM-based linker, header files
 liblldb-7  - Next generation, high-performance debugger, library
 liblldb-7-dev - Next generation, high-performance debugger, header files
 libllvm-7-ocaml-dev - Modular compiler and toolchain technologies, OCaml 
bindings
 libllvm7   - Modular compiler and toolchain technologies, runtime library
 libomp-7-dev - LLVM OpenMP runtime - dev package
 libomp-7-doc - LLVM OpenMP runtime - Documentation
 libomp5-7  - LLVM OpenMP runtime
 lld-7      - LLVM-based linker
 lldb-7     - Next generation, high-performance debugger
 llvm-7     - Modular compiler and toolchain technologies
 llvm-7-dev - Modular compiler and toolchain technologies, libraries and header
 llvm-7-doc - Modular compiler and toolchain technologies, documentation
 llvm-7-examples - Modular compiler and toolchain technologies, examples
 llvm-7-runtime - Modular compiler and toolchain technologies, IR interpreter
 llvm-7-tools - Modular compiler and toolchain technologies, tools
 python-clang-7 - Clang Python Bindings
 python-lldb-7 - Next generation, high-performance debugger, python lib
Closes: 909662
Changes:
 llvm-toolchain-7 (1:7-4) unstable; urgency=medium
 .
   * Backport a fix to improve scan-build code error.
     Thanks to Roman Lebedev for the fix(Closes: #909662)
   * Remove bat files https://bugs.llvm.org/show_bug.cgi?id=30755
   * Install bash-completion for clang
   * Disable ocaml on armel
Checksums-Sha1:
 23071fdbf33e5bf52d2851c5f8e743de2ee6c34f 8067 llvm-toolchain-7_7-4.dsc
 3033cbffabd94a9be7a50207aab85a12e8d2fb0e 76360 
llvm-toolchain-7_7-4.debian.tar.xz
 e2a4849ee960449e5c13c159bf1e1a259fd98027 22941 
llvm-toolchain-7_7-4_amd64.buildinfo
Checksums-Sha256:
 bfb1ec5631af5a94dfcfb7eded42ac85ea88bbd2936d6ff4a8c8e4ff06cdaf90 8067 
llvm-toolchain-7_7-4.dsc
 a1dbd239d66db6be966e810f3ab94cae64e151d00d14b09b5921b1d34a63b5fc 76360 
llvm-toolchain-7_7-4.debian.tar.xz
 5d22050d79a52c4bd1c89b0d6558d99e10ab1e366e951332822ae4f3200e4d0a 22941 
llvm-toolchain-7_7-4_amd64.buildinfo
Files:
 f39b1a152c7c728900ac90685cbc8d7f 8067 devel optional llvm-toolchain-7_7-4.dsc
 9b6f7df4f40dd30012898ce63a9f3bee 76360 devel optional 
llvm-toolchain-7_7-4.debian.tar.xz
 e3da52c28900cb50e7055f48e85a1bf3 22941 devel optional 
llvm-toolchain-7_7-4_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEtg21mU05vsTRqVzPfmUo2nUvG+EFAlu2gHgACgkQfmUo2nUv
G+HkZQ/+NbruzRXfFSEWA3ckVqkNmTflZExs+Z7lRIR5dR7vPDX2n5r9MKrsb/8H
nyWWp6FWXxyXqC4sMpEf7iGE+rBH97i9sa9hXC5PLawZ2UBfAmCceBkJDfZwJEWC
3D3t7d1P03SxihzugABfJQZCwXJV3IlQLVl168aws54M65i81pW2hTq6KEIC/OAk
vmfQWzAkbCFjM+dfhual3C2LxgQke8NFcUr58VyhnD5OiuDRHSl50zD0nQ+Aqmm/
XbreUtp6SZlaj6wCA7bhuDTQ9oc0YfTH2tGHNalodTy0xxurIx4E8UbMVcwM/3oc
MdjbTkXe21cHu3mT/ieQik5B/ONQydchrjpwGNGMi30AYVVzh5mk8baS6ld7xzba
GQnzmSGcICpuEZ5996KU0s4vxkxzebJdd3O9CGl2CzEkTygMnwLNdCwQlaittGTW
0bhvQXJi5vDkM+eySey38fGPjw5u+12GRwHWycN503+/J8yLj6oY1D7EH49Pk3Q2
363MdGgp3cpXgjuzcD1gVaspd+VkS5B4lSe+2fVgkTZg6LaeWc1fQ+K44BS/fAvi
FmQXQQ0FGK+7BNhwtimBQ6Oj34jom3qf5WVMFKeGDRcm8XSBrSDVuKboowfBYvay
IMJg27MYb4sN8BGBAz5haNJtpL2sp2FtenIWJVTviVwUXwZ6jWo=
=MVuS
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to